Skip to main content
PATCH
/
v1
/
contact-lists
/
{contact_list_id}
Update Contact List
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    default_sequence_template_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
  })
};

fetch('https://api.topo.io/v1/contact-lists/{contact_list_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "default_sequence_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "entries_count": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer API key issued from Settings → Developers.

Path Parameters

contact_list_id
string<uuid>
required

ID of the contact list.

Body

application/json

Update Contact List payload

name
string | null

New name for the list.

Minimum string length: 1
default_sequence_template_id
string<uuid> | null

New default sequence template. Pass null to clear.

Response

200 - application/json

Successful Response

id
string<uuid>
required

Unique identifier.

name
string | null
required

Name of the list.

default_sequence_template_id
string<uuid> | null
required

Default sequence template for new entries.

entries_count
integer
required

Current number of entries in the list.

created_at
string<date-time>
required

When the list was created.

updated_at
string<date-time>
required

When the list last changed.